Loading...
Searching...
No Matches
vkd3d_shader_combined_resource_sampler Struct Reference

Describes the mapping of a Direct3D resource-sampler pair to a combined sampler (i.e. More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_combined_resource_sampler:
[legend]

## Data Fields

unsigned int | resource_space
| Register space of the Direct3D resource.
unsigned int | resource_index
| Register index of the Direct3D resource.
unsigned int | sampler_space
| Register space of the Direct3D sampler.
unsigned int | sampler_index
| Register index of the Direct3D sampler.
enum vkd3d_shader_visibility | shader_visibility
| Shader stage(s) to which the resource is visible.
unsigned int | flags
| A combination of zero or more elements of vkd3d_shader_binding_flag.
struct vkd3d_shader_descriptor_binding | binding
| The binding in the target environment.

## Detailed Description

Describes the mapping of a Direct3D resource-sampler pair to a combined sampler (i.e.

sampled image).

This structure is used in struct vkd3d_shader_interface_info.

## Field Documentation

## resource_space

unsigned int vkd3d_shader_combined_resource_sampler::resource_space

Register space of the Direct3D resource.

If the source format does not support multiple register spaces, this parameter must be set to 0.

## sampler_space

unsigned int vkd3d_shader_combined_resource_sampler::sampler_space

Register space of the Direct3D sampler.

If the source format does not support multiple register spaces, this parameter must be set to 0.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h